Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PolicyPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.PolicyPOA
                  |
                  +--org.omg.CORBA.PolicyPOATie

All Implemented Interfaces:
  InvokeHandler, PolicyOperations

public class PolicyPOATie
extends PolicyPOA

Interface definition : Policy

Author:
  OpenORB Compiler

Constructor Summary
`PolicyPOATie(PolicyOperations tieObject)` Constructor
`PolicyPOATie(PolicyOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`PolicyOperations` | `_delegate()` Get the delegate
`void` | `_delegate(PolicyOperations delegate_)` Set the delegate
`Policy` | `copy()` Operation copy
`void` | `destroy()` Operation destroy
`int` | `policy_type()` Read accessor for policy_type attribute

Methods inherited from class org.omg.CORBA.PolicyPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyPOATie

    public PolicyPOATie(PolicyOperations tieObject)

  Constructor

### PolicyPOATie

    public PolicyPOATie(PolicyOperations tieObject,
                        POA poa)

  Constructor

Method Detail

### _delegate

    public PolicyOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(PolicyOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### policy_type

    public int policy_type()

  Read accessor for policy_type attribute
  Following copied from interface: `org.omg.CORBA.PolicyOperations`
  Returns:
    the attribute value

### copy

    public Policy copy()

  Operation copy

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD